## CORBA Interface IProcessPropertySet

### Definition

CORBA Module DFProcessFlow

### IProcessPropertySet Description

CORBA Definitions
attribute Count |
method Clear |
method Copy |
method CreateProperty |
method DeleteProperty |
method DeletePropertyByIndex |
method GetProperty |
method GetPropertyByIndex |
method Merge |

Java Classes
IProcessPropertySetHelper | Used to manipulate the IProcessPropertySet type
IProcessPropertySetHolder | Used to process the IProcessPropertySet type as an out parameter

Java Interfaces
IProcessPropertySet |

Java Interface IProcessPropertySet

Package com.sas.iom.DFProcessFlow

IProcessPropertySet Description

`public interface IProcessPropertySet
extends org.omg.CORBA.Object`

Method Summary

void | Clear ()
void | Copy ( IProcessPropertySet src ) throws ( GenericError );
IProcessProperty | CreateProperty ( java.lang.String name ) throws ( GenericError );
void | DeleteProperty ( java.lang.String name ) throws ( GenericError );
void | DeletePropertyByIndex ( int index ) throws ( GenericError );
IProcessProperty | GetProperty ( java.lang.String name ) throws ( NotFound, GenericError );
IProcessProperty | GetPropertyByIndex ( int index ) throws ( GenericError );
void | Merge ( IProcessPropertySet src ) throws ( GenericError );

Java Class IProcessPropertySetHelper

public class IProcessPropertySetHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IProcessPropertySet type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessPropertySetHelper

Java Class IProcessPropertySetHolder

public class IProcessPropertySetHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IProcessPropertySet type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessPropertySetHolder

CORBA Attribute Count (readonly)

Description

Usage

Java Method Count

    public int Count ();

CORBA Method Clear

Description

Usage

Java Method Clear

`void` Clear ( )

Example

CORBA Method Copy

Description

Usage

Java Method Copy

`void` Copy (

        IProcessPropertySet src
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
src | in | IProcessPropertySet |

Example

CORBA Method CreateProperty

Description

Usage

Java Method CreateProperty

`public IProcessProperty` CreateProperty (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method DeleteProperty

Description

Usage

Java Method DeleteProperty

`void` DeleteProperty (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method DeletePropertyByIndex

Description

Usage

Java Method DeletePropertyByIndex

`void` DeletePropertyByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetProperty

Description

Usage

Java Method GetProperty

`public IProcessProperty` GetProperty (

        java.lang.String name
        )
        throws (
                NotFound,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method GetPropertyByIndex

Description

Usage

Java Method GetPropertyByIndex

`public IProcessProperty` GetPropertyByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method Merge

Description

Usage

Java Method Merge

`void` Merge (

        IProcessPropertySet src
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
src | in | IProcessPropertySet |

Example